-- sirene.lua
-- Specialization for sirenesound
--
-- @author  	schwaki|112TEC
-- @version 	v1.0
-- @date  		12/11/2014
-- 

sirene = {};


function sirene.prerequisitesPresent(specializations)
	return true;
end;

function sirene:load(xmlFile) 
	local sirenSound  = getXMLString(xmlFile, "vehicle.sirenSound#file");
    if sirenSound  ~= nil and sirenSound  ~= "" then
        sirenSound  = Utils.getFilename(sirenSound, self.baseDirectory);
        self.sirenSoundPitchOffset = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.sirenSound#pitchOffset"), 1);
        self.sirenSoundRadius = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.sirenSound#radius"), 150);
        self.sirenSoundInnerRadius = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.sirenSound#innerRadius"), 20);
        self.sirenSoundVolume = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.sirenSound#volume"), 0.2);
        self.sirenSound = createAudioSource("sirenSound", sirenSound, self.sirenSoundRadius, self.sirenSoundInnerRadius, self.sirenSoundVolume, 0);
        link(self.components[1].node, self.sirenSound);
        setVisibility(self.sirenSound, false);
    end;
end;

function sirene:delete()
end

function sirene:mouseEvent(posX, posY, isDown, isUp, button)
end;

function sirene:keyEvent(unicode, sym, modifier, isDown)
end;

function sirene:setBeaconLightsVisibility(visibility)
	setVisibility(self.sirenSound, visibility);
end;

function sirene:updatetick(dt)
end;

function sirene:update(dt)
end;

function sirene:draw()
end;